.ring-ring {
    --tw-ring-color: hsl(var(--ring))
}

.ring-sidebar-ring {
    --tw-ring-color: hsl(var(--sidebar-ring))
}

.ring-offset-background {
    --tw-ring-offset-color: hsl(var(--background))
}

.filter {
    filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)
}

.transition {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-\[left\, right\, width\] {
    transition-property: left, right, width;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-\[margin\, opa\] {
    transition-property: margin, opa;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-\[width\, height\, padding\] {
    transition-property: width, height, padding;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-\[width\] {
    transition-property: width;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-all {
    transition-property: all;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-colors {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-opacity {
    transition-property: opacity;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.transition-transform {
    transition-property: transform;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration:.15s
}

.duration-1000 {
    transition-duration:1s
}

.duration-200 {
    transition-duration:.2s
}

.duration-300 {
    transition-duration:.3s
}

.ease-in-out {
    transition-timing-function:cubic-bezier(.4, 0, .2, 1)
}

.ease-linear {
    transition-timing-function:linear
}

@keyframes enter {
    0% {
        opacity: var(--tw-enter-opacity, 1);
        transform:translate3d(var(--tw-enter-translate-x, 0), var(--tw-enter-translate-y, 0), 0) scale3d(var(--tw-enter-scale, 1), var(--tw-enter-scale, 1), var(--tw-enter-scale, 1)) rotate(var(--tw-enter-rotate, 0))
    }
}

@keyframes exit {
    to {
        opacity: var(--tw-exit-opacity, 1);
        transform:translate3d(var(--tw-exit-translate-x, 0), var(--tw-exit-translate-y, 0), 0) scale3d(var(--tw-exit-scale, 1), var(--tw-exit-scale, 1), var(--tw-exit-scale, 1)) rotate(var(--tw-exit-rotate, 0))
    }
}

.animate-in {
    animation-name: enter;
    animation-duration: .15s;
    --tw-enter-opacity: initial;
    --tw-enter-scale: initial;
    --tw-enter-rotate: initial;
    --tw-enter-translate-x: initial;
    --tw-enter-translate-y: initial
}

.fade-in-0 {
    --tw-enter-opacity: 0
}

.fade-in-80 {
    --tw-enter-opacity: .8
}

.zoom-in-95 {
    --tw-enter-scale: .95
}

.duration-1000 {
    animation-duration:1s
}

.duration-200 {
    animation-duration:.2s
}

.duration-300 {
    animation-duration:.3s
}

.ease-in-out {
    animation-timing-function:cubic-bezier(.4, 0, .2, 1)
}

.ease-linear {
    animation-timing-function:linear
}

.file\:border-0::file-selector-button {
    border-width:0px
}

.file\:bg-transparent::file-selector-button {
    background-color:transparent
}

.file\:text-sm::file-selector-button {
    font-size: .875rem;
    line-height:1.25rem
}

.file\:font-medium::file-selector-button {
    font-weight:500
}

.file\:text-foreground::file-selector-button {
    color:hsl(var(--foreground))
}

.placeholder\:text-muted-foreground::-moz-placeholder {
    color:hsl(var(--muted-foreground))
}

.placeholder\:text-muted-foreground::placeholder {
    color:hsl(var(--muted-foreground))
}

.after\:absolute:after {
    content: var(--tw-content);
    position:absolute
}

.after\:-inset-2:after {
    content: var(--tw-content);
    top: -.5rem;
    right: -.5rem;
    bottom: -.5rem;
    left:-.5rem
}

.after\:inset-y-0:after {
    content: var(--tw-content);
    top: 0;
    bottom:0
}

.after\:left-1\/2:after {
    content: var(--tw-content);
    left:50%
}

.after\:w-1:after {
    content: var(--tw-content);
    width:.25rem
}

.after\:w-\[2px\]:after {
    content: var(--tw-content);
    width:2px
}

.after\:-translate-x-1\/2:after {
    content: var(--tw-content);
    --tw-translate-x: -50%;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.first\:rounded-l-md:first-child {
    border-top-left-radius: calc(var(--radius) - 2px);
    border-bottom-left-radius:calc(var(--radius) - 2px)
}

.first\:border-l:first-child {
    border-left-width:1px
}

.last\:rounded-r-md:last-child {
    border-top-right-radius: calc(var(--radius) - 2px);
    border-bottom-right-radius:calc(var(--radius) - 2px)
}

.focus-within\:relative:focus-within {
    position:relative
}

.focus-within\:z-20:focus-within {
    z-index:20
}

.hover\:bg-accent:hover {
    background-color:hsl(var(--accent))
}

.hover\:bg-destructive\/80:hover {
    background-color:hsl(var(--destructive) / .8)
}

.hover\:bg-destructive\/90:hover {
    background-color:hsl(var(--destructive) / .9)
}

.hover\:bg-muted:hover {
    background-color:hsl(var(--muted))
}

.hover\:bg-muted-foreground\/50:hover {
    background-color:hsl(var(--muted-foreground) / .5)
}

.hover\:bg-muted\/50:hover {
    background-color:hsl(var(--muted) / .5)
}

.hover\:bg-primary:hover {
    background-color:hsl(var(--primary))
}

.hover\:bg-primary\/80:hover {
    background-color:hsl(var(--primary) / .8)
}

.hover\:bg-primary\/90:hover {
    background-color:hsl(var(--primary) / .9)
}

.hover\:bg-secondary:hover {
    background-color:hsl(var(--secondary))
}

.hover\:bg-secondary\/80:hover {
    background-color:hsl(var(--secondary) / .8)
}

.hover\:bg-sidebar-accent:hover {
    background-color:hsl(var(--sidebar-accent))
}

.hover\:text-accent-foreground:hover {
    color:hsl(var(--accent-foreground))
}

.hover\:text-blue-700:hover {
    --tw-text-opacity: 1;
    color:rgb(29 78 216 / var(--tw-text-opacity, 1))
}

.hover\:text-foreground:hover {
    color:hsl(var(--foreground))
}

.hover\:text-muted-foreground:hover {
    color:hsl(var(--muted-foreground))
}

.hover\:text-primary-foreground:hover {
    color:hsl(var(--primary-foreground))
}

.hover\:text-sidebar-accent-foreground:hover {
    color:hsl(var(--sidebar-accent-foreground))
}

.hover\:underline:hover {
    text-decoration-line:underline
}

.hover\:opacity-100:hover {
    opacity:1
}

.hover\:shadow-\[0_0_0_1px_hsl\(var\(--sidebar-accent\)\)\]:hover {
    --tw-shadow: 0 0 0 1px hsl(var(--sidebar-accent));
    --tw-shadow-colored: 0 0 0 1px var(--tw-shadow-color);
    box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.hover\:after\:bg-sidebar-border:hover:after {
    content: var(--tw-content);
    background-color:hsl(var(--sidebar-border))
}

.focus\:bg-accent:focus {
    background-color:hsl(var(--accent))
}

.focus\:bg-primary:focus {
    background-color:hsl(var(--primary))
}

.focus\:text-accent-foreground:focus {
    color:hsl(var(--accent-foreground))
}

.focus\:text-primary-foreground:focus {
    color:hsl(var(--primary-foreground))
}

.focus\:opacity-100:focus {
    opacity:1
}

.focus\:outline-none:focus {
    outline: 2px solid transparent;
    outline-offset:2px
}

.focus\:ring-2:focus {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)
}

.focus\:ring-ring:focus {
    --tw-ring-color: hsl(var(--ring))
}

.focus\:ring-offset-2:focus {
    --tw-ring-offset-width: 2px
}

.focus-visible\:outline-none:focus-visible {
    outline: 2px solid transparent;
    outline-offset:2px
}

.focus-visible\:ring-1:focus-visible {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)
}

.focus-visible\:ring-2:focus-visible {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)
}

.focus-visible\:ring-ring:focus-visible {
    --tw-ring-color: hsl(var(--ring))
}

.focus-visible\:ring-sidebar-ring:focus-visible {
    --tw-ring-color: hsl(var(--sidebar-ring))
}

.focus-visible\:ring-offset-1:focus-visible {
    --tw-ring-offset-width: 1px
}

.focus-visible\:ring-offset-2:focus-visible {
    --tw-ring-offset-width: 2px
}

.focus-visible\:ring-offset-background:focus-visible {
    --tw-ring-offset-color: hsl(var(--background))
}

.active\:bg-sidebar-accent:active {
    background-color:hsl(var(--sidebar-accent))
}

.active\:text-sidebar-accent-foreground:active {
    color:hsl(var(--sidebar-accent-foreground))
}

.disabled\:pointer-events-none:disabled {
    pointer-events:none
}

.disabled\:cursor-not-allowed:disabled {
    cursor:not-allowed
}

.disabled\:opacity-50:disabled {
    opacity:.5
}

.group\/menu-item:focus-within .group-focus-within\/menu-item\:opacity-100 {
    opacity:1
}

.group\/menu-item:hover .group-hover\/menu-item\:opacity-100, .group:hover .group-hover\:opacity-100 {
    opacity:1
}

.group.destructive .group-\[\.destructive\]\:border-muted\/40 {
    border-color:hsl(var(--muted) / .4)
}

.group.toaster .group-\[\.toaster\]\:border-border {
    border-color:hsl(var(--border))
}

.group.toast .group-\[\.toast\]\:bg-muted {
    background-color:hsl(var(--muted))
}

.group.toast .group-\[\.toast\]\:bg-primary {
    background-color:hsl(var(--primary))
}

.group.toaster .group-\[\.toaster\]\:bg-background {
    background-color:hsl(var(--background))
}

.group.destructive .group-\[\.destructive\]\:text-red-300 {
    --tw-text-opacity: 1;
    color:rgb(252 165 165 / var(--tw-text-opacity, 1))
}

.group.toast .group-\[\.toast\]\:text-muted-foreground {
    color:hsl(var(--muted-foreground))
}

.group.toast .group-\[\.toast\]\:text-primary-foreground {
    color:hsl(var(--primary-foreground))
}

.group.toaster .group-\[\.toaster\]\:text-foreground {
    color:hsl(var(--foreground))
}

.group.toaster .group-\[\.toaster\]\:shadow-lg {
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.group.destructive .group-\[\.destructive\]\:hover\:border-destructive\/30:hover {
    border-color:hsl(var(--destructive) / .3)
}

.group.destructive .group-\[\.destructive\]\:hover\:bg-destructive:hover {
    background-color:hsl(var(--destructive))
}

.group.destructive .group-\[\.destructive\]\:hover\:text-destructive-foreground:hover {
    color:hsl(var(--destructive-foreground))
}

.group.destructive .group-\[\.destructive\]\:hover\:text-red-50:hover {
    --tw-text-opacity: 1;
    color:rgb(254 242 242 / var(--tw-text-opacity, 1))
}

.group.destructive .group-\[\.destructive\]\:focus\:ring-destructive:focus {
    --tw-ring-color: hsl(var(--destructive))
}

.group.destructive .group-\[\.destructive\]\:focus\:ring-red-400:focus {
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(248 113 113 / var(--tw-ring-opacity, 1))
}

.group.destructive .group-\[\.destructive\]\:focus\:ring-offset-red-600:focus {
    --tw-ring-offset-color: #dc2626
}

.peer\/menu-button:hover ~ .peer-hover\/menu-button\:text-sidebar-accent-foreground {
    color:hsl(var(--sidebar-accent-foreground))
}

.peer:disabled ~ .peer-disabled\:cursor-not-allowed {
    cursor:not-allowed
}

.peer:disabled ~ .peer-disabled\:opacity-70 {
    opacity:.7
}

.has-\[\[data-variant\=inset\]\]\:bg-sidebar:has([data-variant=inset]) {
    background-color:hsl(var(--sidebar-background))
}

.has-\[\:disabled\]\:opacity-50:has(:disabled) {
    opacity:.5
}

.group\/menu-item:has([data-sidebar=menu-action]) .group-has-\[\[data-sidebar\=menu-action\]\]\/menu-item\:pr-8 {
    padding-right:2rem
}

.aria-disabled\:pointer-events-none[aria-disabled=true] {
    pointer-events:none
}

.aria-disabled\:opacity-50[aria-disabled=true] {
    opacity:.5
}

.aria-selected\:bg-accent[aria-selected=true] {
    background-color:hsl(var(--accent))
}

.aria-selected\:bg-accent\/50[aria-selected=true] {
    background-color:hsl(var(--accent) / .5)
}

.aria-selected\:text-accent-foreground[aria-selected=true] {
    color:hsl(var(--accent-foreground))
}

.aria-selected\:text-muted-foreground[aria-selected=true] {
    color:hsl(var(--muted-foreground))
}

.aria-selected\:opacity-100[aria-selected=true] {
    opacity:1
}

.aria-selected\:opacity-30[aria-selected=true] {
    opacity:.3
}

.data-\[disabled\=true\]\:pointer-events-none[data-disabled=true], .data-\[disabled\]\:pointer-events-none[data-disabled] {
    pointer-events:none
}

.data-\[panel-group-direction\=vertical\]\:h-px[data-panel-group-direction=vertical] {
    height:1px
}

.data-\[panel-group-direction\=vertical\]\:w-full[data-panel-group-direction=vertical] {
    width:100%
}

.data-\[side\=bottom\]\:translate-y-1[data-side=bottom] {
    --tw-translate-y: .25rem;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[side\=left\]\:-translate-x-1[data-side=left] {
    --tw-translate-x: -.25rem;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[side\=right\]\:translate-x-1[data-side=right] {
    --tw-translate-x: .25rem;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[side\=top\]\:-translate-y-1[data-side=top] {
    --tw-translate-y: -.25rem;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[state\=checked\]\:translate-x-5[data-state=checked] {
    --tw-translate-x: 1.25rem;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[state\=unchecked\]\:translate-x-0[data-state=unchecked], .data-\[swipe\=cancel\]\:translate-x-0[data-swipe=cancel] {
    --tw-translate-x: 0px;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[swipe\=end\]\:translate-x-\[var\(--radix-toast-swipe-end-x\)\][data-swipe=end] {
    --tw-translate-x: var(--radix-toast-swipe-end-x);
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[swipe\=move\]\:translate-x-\[var\(--radix-toast-swipe-move-x\)\][data-swipe=move] {
    --tw-translate-x: var(--radix-toast-swipe-move-x);
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

@keyframes accordion-up {
    0% {
        height:var(--radix-accordion-content-height)
    }

    to {
        height:0
    }
}

.data-\[state\=closed\]\:animate-accordion-up[data-state=closed] {
    animation:accordion-up .2s ease-out
}

@keyframes accordion-down {
    0% {
        height:0
    }

    to {
        height:var(--radix-accordion-content-height)
    }
}

.data-\[state\=open\]\:animate-accordion-down[data-state=open] {
    animation:accordion-down .2s ease-out
}

.data-\[panel-group-direction\=vertical\]\:flex-col[data-panel-group-direction=vertical] {
    flex-direction:column
}

.data-\[active\=true\]\:bg-sidebar-accent[data-active=true] {
    background-color:hsl(var(--sidebar-accent))
}

.data-\[active\]\:bg-accent\/50[data-active] {
    background-color: hsl(var(--accent) / .5)
}

.data-\[selected\=\true\\]\:bg-accent[data-selected=true] {
    background-color:hsl(var(--accent))
}

.data-\[state\=active\]\:bg-background[data-state=active] {
    background-color:hsl(var(--background))
}

.data-\[state\=checked\]\:bg-primary[data-state=checked] {
    background-color:hsl(var(--primary))
}

.data-\[state\=on\]\:bg-accent[data-state=on], .data-\[state\=open\]\:bg-accent[data-state=open] {
    background-color:hsl(var(--accent))
}

.data-\[state\=open\]\:bg-accent\/50[data-state=open] {
    background-color:hsl(var(--accent) / .5)
}

.data-\[state\=open\]\:bg-secondary[data-state=open] {
    background-color:hsl(var(--secondary))
}

.data-\[state\=selected\]\:bg-muted[data-state=selected] {
    background-color:hsl(var(--muted))
}

.data-\[state\=unchecked\]\:bg-input[data-state=unchecked] {
    background-color:hsl(var(--input))
}

.data-\[active\=true\]\:font-medium[data-active=true] {
    font-weight:500
}

.data-\[active\=true\]\:text-sidebar-accent-foreground[data-active=true] {
    color:hsl(var(--sidebar-accent-foreground))
}

.data-\[selected\=true\]\:text-accent-foreground[data-selected=true] {
    color:hsl(var(--accent-foreground))
}

.data-\[state\=active\]\:text-foreground[data-state=active] {
    color:hsl(var(--foreground))
}

.data-\[state\=checked\]\:text-primary-foreground[data-state=checked] {
    color:hsl(var(--primary-foreground))
}

.data-\[state\=on\]\:text-accent-foreground[data-state=on], .data-\[state\=open\]\:text-accent-foreground[data-state=open] {
    color:hsl(var(--accent-foreground))
}

.data-\[state\=open\]\:text-muted-foreground[data-state=open] {
    color:hsl(var(--muted-foreground))
}

.data-\[disabled\=true\]\:opacity-50[data-disabled=true], .data-\[disabled\]\:opacity-50[data-disabled] {
    opacity:.5
}

.data-\[state\=open\]\:opacity-100[data-state=open] {
    opacity:1
}

.data-\[state\=active\]\:shadow-sm[data-state=active] {
    --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / .05);
    --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
    box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.data-\[swipe\=move\]\:transition-none[data-swipe=move] {
    transition-property:none
}

.data-\[state\=closed\]\:duration-300[data-state=closed] {
    transition-duration:.3s
}

.data-\[state\=open\]\:duration-500[data-state=open] {
    transition-duration:.5s
}

.data-\[motion\^\=from-\]\:animate-in[data-motion^=from-], .data-\[state\=open\]\:animate-in[data-state=open], .data-\[state\=visible\]\:animate-in[data-state=visible] {
    animation-name: enter;
    animation-duration: .15s;
    --tw-enter-opacity: initial;
    --tw-enter-scale: initial;
    --tw-enter-rotate: initial;
    --tw-enter-translate-x: initial;
    --tw-enter-translate-y: initial
}

.data-\[motion\^\=to-\]\:animate-out[data-motion^=to-], .data-\[state\=closed\]\:animate-out[data-state=closed], .data-\[state\=hidden\]\:animate-out[data-state=hidden], .data-\[swipe\=end\]\:animate-out[data-swipe=end] {
    animation-name: exit;
    animation-duration: .15s;
    --tw-exit-opacity: initial;
    --tw-exit-scale: initial;
    --tw-exit-rotate: initial;
    --tw-exit-translate-x: initial;
    --tw-exit-translate-y: initial
}

.data-\[motion\^\=from-\]\:fade-in[data-motion^=from-] {
    --tw-enter-opacity: 0
}

.data-\[motion\^\=to-\]\:fade-out[data-motion^=to-], .data-\[state\=closed\]\:fade-out-0[data-state=closed] {
    --tw-exit-opacity: 0
}

.data-\[state\=closed\]\:fade-out-80[data-state=closed] {
    --tw-exit-opacity: .8
}

.data-\[state\=hidden\]\:fade-out[data-state=hidden] {
    --tw-exit-opacity: 0
}

.data-\[state\=open\]\:fade-in-0[data-state=open], .data-\[state\=visible\]\:fade-in[data-state=visible] {
    --tw-enter-opacity: 0
}

.data-\[state\=closed\]\:zoom-out-95[data-state=closed] {
    --tw-exit-scale: .95
}

.data-\[state\=open\]\:zoom-in-90[data-state=open] {
    --tw-enter-scale: .9
}

.data-\[state\=open\]\:zoom-in-95[data-state=open] {
    --tw-enter-scale: .95
}

.data-\[motion\=from-end\]\:slide-in-from-right-52[data-motion=from-end] {
    --tw-enter-translate-x: 13rem
}

.data-\[motion\=from-start\]\:slide-in-from-left-52[data-motion=from-start] {
    --tw-enter-translate-x: -13rem
}

.data-\[motion\=to-end\]\:slide-out-to-right-52[data-motion=to-end] {
    --tw-exit-translate-x: 13rem
}

.data-\[motion\=to-start\]\:slide-out-to-left-52[data-motion=to-start] {
    --tw-exit-translate-x: -13rem
}

.data-\[side\=bottom\]\:slide-in-from-top-2[data-side=bottom] {
    --tw-enter-translate-y: -.5rem
}

.data-\[side\=left\]\:slide-in-from-right-2[data-side=left] {
    --tw-enter-translate-x: .5rem
}

.data-\[side\=right\]\:slide-in-from-left-2[data-side=right] {
    --tw-enter-translate-x: -.5rem
}

.data-\[side\=top\]\:slide-in-from-bottom-2[data-side=top] {
    --tw-enter-translate-y: .5rem
}

.data-\[state\=closed\]\:slide-out-to-bottom[data-state=closed] {
    --tw-exit-translate-y: 100%
}

.data-\[state\=closed\]\:slide-out-to-left[data-state=closed] {
    --tw-exit-translate-x: -100%
}

.data-\[state\=closed\]\:slide-out-to-left-1\/2[data-state=closed] {
    --tw-exit-translate-x: -50%
}

.data-\[state\=closed\]\:slide-out-to-right[data-state=closed], .data-\[state\=closed\]\:slide-out-to-right-full[data-state=closed] {
    --tw-exit-translate-x: 100%
}

.data-\[state\=closed\]\:slide-out-to-top[data-state=closed] {
    --tw-exit-translate-y: -100%
}

.data-\[state\=closed\]\:slide-out-to-top-\[48\%\][data-state=closed] {
    --tw-exit-translate-y: -48%
}

.data-\[state\=open\]\:slide-in-from-bottom[data-state=open] {
    --tw-enter-translate-y: 100%
}

.data-\[state\=open\]\:slide-in-from-left[data-state=open] {
    --tw-enter-translate-x: -100%
}

.data-\[state\=open\]\:slide-in-from-left-1\/2[data-state=open] {
    --tw-enter-translate-x: -50%
}

.data-\[state\=open\]\:slide-in-from-right[data-state=open] {
    --tw-enter-translate-x: 100%
}

.data-\[state\=open\]\:slide-in-from-top[data-state=open] {
    --tw-enter-translate-y: -100%
}

.data-\[state\=open\]\:slide-in-from-top-\[48\%\][data-state=open] {
    --tw-enter-translate-y: -48%
}

.data-\[state\=open\]\:slide-in-from-top-full[data-state=open] {
    --tw-enter-translate-y: -100%
}

.data-\[state\=closed\]\:duration-300[data-state=closed] {
    animation-duration:.3s
}

.data-\[state\=open\]\:duration-500[data-state=open] {
    animation-duration:.5s
}

.data-\[panel-group-direction\=vertical\]\:after\:left-0[data-panel-group-direction=vertical]:after {
    content: var(--tw-content);
    left:0
}

.data-\[panel-group-direction\=vertical\]\:after\:h-1[data-panel-group-direction=vertical]:after {
    content: var(--tw-content);
    height:.25rem
}

.data-\[panel-group-direction\=vertical\]\:after\:w-full[data-panel-group-direction=vertical]:after {
    content: var(--tw-content);
    width:100%
}

.data-\[panel-group-direction\=vertical\]\:after\:-translate-y-1\/2[data-panel-group-direction=vertical]:after {
    content: var(--tw-content);
    --tw-translate-y: -50%;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[panel-group-direction\=vertical\]\:after\:translate-x-0[data-panel-group-direction=vertical]:after {
    content: var(--tw-content);
    --tw-translate-x: 0px;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.data-\[state\=open\]\:hover\:bg-sidebar-accent:hover[data-state=open] {
    background-color:hsl(var(--sidebar-accent))
}

.data-\[state\=open\]\:hover\:text-sidebar-accent-foreground:hover[data-state=open] {
    color:hsl(var(--sidebar-accent-foreground))
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:left-\[calc\(var\(--sidebar-width\)\ * -1\)\] {
    left:calc(var(--sidebar-width) * -1)
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:right-\[calc\(var\(--sidebar-width\)\ * -1\)\] {
    right:calc(var(--sidebar-width) * -1)
}

.group[data-side=left] .group-data-\[side\=left\]\:-right-4 {
    right:-1rem
}

.group[data-side=right] .group-data-\[side\=right\]\:left-0 {
    left:0
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:-mt-8 {
    margin-top:-2rem
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:hidden {
    display:none
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:\ !size-8 {
    width: 2rem !important;
    height:2rem !important
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:w-\[--sidebar-width-icon\] {
    width:var(--sidebar-width-icon)
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:w-\[calc\(var\(--sidebar-width-icon\)_\ + _theme\(spacing\.4\)\)\] {
    width:calc(var(--sidebar-width-icon) + 1rem)
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:w-\[calc\(var\(--sidebar-width-icon\)_\ + _theme\(spacing\.4\)_\ + 2px\)\] {
    width:calc(var(--sidebar-width-icon) + 1rem + 2px)
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:w-0 {
    width:0px
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:translate-x-0 {
    --tw-translate-x: 0px;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.group[data-side=right] .group-data-\[side\=right\]\:rotate-180, .group[data-state=open] .group-data-\[state\=open\]\:rotate-180 {
    --tw-rotate: 180deg;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:overflow-hidden {
    overflow:hidden
}

.group[data-variant=floating] .group-data-\[variant\=floating\]\:rounded-lg {
    border-radius:var(--radius)
}

.group[data-variant=floating] .group-data-\[variant\=floating\]\:border {
    border-width:1px
}

.group[data-side=left] .group-data-\[side\=left\]\:border-r {
    border-right-width:1px
}

.group[data-side=right] .group-data-\[side\=right\]\:border-l {
    border-left-width:1px
}

.group[data-variant=floating] .group-data-\[variant\=floating\]\:border-sidebar-border {
    border-color:hsl(var(--sidebar-border))
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:\ !p-0 {
    padding:0 !important
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:\ !p-2 {
    padding:.5rem !important
}

.group[data-collapsible=icon] .group-data-\[collapsible\=icon\]\:opacity-0 {
    opacity:0
}

.group[data-variant=floating] .group-data-\[variant\=floating\]\:shadow {
    --tw-shadow: 0 1px 3px 0 rgb(0 0 0 / .1), 0 1px 2px -1px rgb(0 0 0 / .1);
    --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);
    box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:after\:left-full:after {
    content: var(--tw-content);
    left:100%
}

.group[data-collapsible=offcanvas] .group-data-\[collapsible\=offcanvas\]\:hover\:bg-sidebar:hover {
    background-color:hsl(var(--sidebar-background))
}

.peer\/menu-button[data-size=default] ~ .peer-data-\[size\=default\]\/menu-button\:top-1\.5 {
    top:.375rem
}

.peer\/menu-button[data-size=lg] ~ .peer-data-\[size\=lg\]\/menu-button\:top-2\.5 {
    top:.625rem
}

.peer\/menu-button[data-size=sm] ~ .peer-data-\[size\=sm\]\/menu-button\:top-1 {
    top:.25rem
}

.peer[data-variant=inset] ~ .peer-data-\[variant\=inset\]\:min-h-\[calc\(100svh-theme\(spacing\.4\)\)\] {
    min-height:calc(100svh - 1rem)
}

.peer\/menu-button[data-active=true] ~ .peer-data-\[active\=true\]\/menu-button\:text-sidebar-accent-foreground {
    color:hsl(var(--sidebar-accent-foreground))
}

.dark\:border-destructive:is(.dark *) {
    border-color:hsl(var(--destructive))
}

@media (min-width: 640px) {
    .sm\:bottom-0 {
        bottom:0
    }

    .sm\:right-0 {
        right:0
    }

    .sm\:top-auto {
        top:auto
    }

    .sm\:mt-0 {
        margin-top:0
    }

    .sm\:flex {
        display:flex
    }

    .sm\:max-w-sm {
        max-width:24rem
    }

    .sm\:flex-row {
        flex-direction:row
    }

    .sm\:flex-col {
        flex-direction:column
    }

    .sm\:justify-end {
        justify-content:flex-end
    }

    .sm\:gap-2\.5 {
        gap:.625rem
    }

    .sm\:space-x-2 > :not([hidden]) ~ :not([hidden]) {
        --tw-space-x-reverse: 0;
        margin-right: calc(.5rem * var(--tw-space-x-reverse));
        margin-left:calc(.5rem * calc(1 - var(--tw-space-x-reverse)))
    }

    .sm\:space-x-4 > :not([hidden]) ~ :not([hidden]) {
        --tw-space-x-reverse: 0;
        margin-right: calc(1rem * var(--tw-space-x-reverse));
        margin-left:calc(1rem * calc(1 - var(--tw-space-x-reverse)))
    }

    .sm\:space-y-0 > :not([hidden]) ~ :not([hidden]) {
        --tw-space-y-reverse: 0;
        margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));
        margin-bottom:calc(0px * var(--tw-space-y-reverse))
    }

    .sm\:rounded-lg {
        border-radius:var(--radius)
    }

    .sm\:text-left {
        text-align:left
    }

    .data-\[state\=open\]\:sm\:slide-in-from-bottom-full[data-state=open] {
        --tw-enter-translate-y: 100%
    }
}

@media (min-width: 768px) {
    .md\:absolute {
        position:absolute
    }

    .md\:block {
        display:block
    }

    .md\:flex {
        display:flex
    }

    .md\:w-\[var\(--radix-navigation-menu-viewport-width\)\] {
        width:var(--radix-navigation-menu-viewport-width)
    }

    .md\:w-auto {
        width:auto
    }

    .md\:max-w-\[420px\] {
        max-width:420px
    }

    .md\:grid-cols-2 {
        grid-template-columns:repeat(2, minmax(0, 1fr))
    }

    .md\:grid-cols-4 {
        grid-template-columns:repeat(4, minmax(0, 1fr))
    }

    .md\:text-4xl {
        font-size: 2.25rem;
        line-height:2.5rem
    }

    .md\:text-sm {
        font-size: .875rem;
        line-height:1.25rem
    }

    .md\:opacity-0 {
        opacity:0
    }

    .after\:md\:hidden:after {
        content: var(--tw-content);
        display:none
    }

    .peer[data-variant=inset] ~ .md\:peer-data-\[variant\=inset\]\:m-2 {
        margin:.5rem
    }

    .peer[data-state=collapsed][data-variant=inset] ~ .md\:peer-data-\[state\=collapsed\]\:peer-data-\[variant\=inset\]\:ml-2 {
        margin-left:.5rem
    }

    .peer[data-variant=inset] ~ .md\:peer-data-\[variant\=inset\]\:ml-0 {
        margin-left:0
    }

    .peer[data-variant=inset] ~ .md\:peer-data-\[variant\=inset\]\:rounded-xl {
        border-radius:.75rem
    }

    .peer[data-variant=inset] ~ .md\:peer-data-\[variant\=inset\]\:shadow {
        --tw-shadow: 0 1px 3px 0 rgb(0 0 0 / .1), 0 1px 2px -1px rgb(0 0 0 / .1);
        --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);
        box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
    }
}

@media (min-width: 1024px) {
    .lg\:grid-cols-6 {
        grid-template-columns:repeat(6, minmax(0, 1fr))
    }
}

@media (min-width: 1280px) {
    .xl\:grid-cols-8 {
        grid-template-columns:repeat(8, minmax(0, 1fr))
    }
}

.\[\&\:has\(\[aria-selected\]\)\]\:bg-accent:has([aria-selected]) {
    background-color:hsl(var(--accent))
}

.first\:\[\&\:has\(\[aria-selected\]\)\]\:rounded-l-md:has([aria-selected]):first-child {
    border-top-left-radius: calc(var(--radius) - 2px);
    border-bottom-left-radius:calc(var(--radius) - 2px)
}

.last\:\[\&\:has\(\[aria-selected\]\)\]\:rounded-r-md:has([aria-selected]):last-child {
    border-top-right-radius: calc(var(--radius) - 2px);
    border-bottom-right-radius:calc(var(--radius) - 2px)
}

.\[\&\:has\(\[aria-selected\]\.day-outside\)\]\:bg-accent\/50:has([aria-selected].day-outside) {
    background-color:hsl(var(--accent) / .5)
}

.\[\&\:has\(\[aria-selected\]\.day-range-end\)\]\:rounded-r-md:has([aria-selected].day-range-end) {
    border-top-right-radius: calc(var(--radius) - 2px);
    border-bottom-right-radius:calc(var(--radius) - 2px)
}

.\[\&\:has\(\[role\=checkbox\]\)\]\:pr-0:has([role=checkbox]) {
    padding-right:0
}

.\[\&\ > button\]\:hidden > button {
    display:none
}

.\[\&\ > span\:last-child\]\:truncate > span:last-child {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space:nowrap
}

.\[\&\ > span\]\:line-clamp-1 > span {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp:1
}

.\[\&\ > svg\ + div\]\:translate-y-\[-3px\] > svg + div {
    --tw-translate-y: -3px;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.\[\&\ > svg\]\:absolute > svg {
    position:absolute
}

.\[\&\ > svg\]\:left-4 > svg {
    left:1rem
}

.\[\&\ > svg\]\:top-4 > svg {
    top:1rem
}

.\[\&\ > svg\]\:size-3\.5 > svg {
    width: .875rem;
    height:.875rem
}

.\[\&\ > svg\]\:size-4 > svg {
    width: 1rem;
    height:1rem
}

.\[\&\ > svg\]\:h-2\.5 > svg {
    height:.625rem
}

.\[\&\ > svg\]\:h-3 > svg {
    height:.75rem
}

.\[\&\ > svg\]\:w-2\.5 > svg {
    width:.625rem
}

.\[\&\ > svg\]\:w-3 > svg {
    width:.75rem
}

.\[\&\ > svg\]\:shrink-0 > svg {
    flex-shrink:0
}

.\[\&\ > svg\]\:text-destructive > svg {
    color:hsl(var(--destructive))
}

.\[\&\ > svg\]\:text-foreground > svg {
    color:hsl(var(--foreground))
}

.\[\&\ > svg\]\:text-muted-foreground > svg {
    color:hsl(var(--muted-foreground))
}

.\[\&\ > svg\]\:text-sidebar-accent-foreground > svg {
    color:hsl(var(--sidebar-accent-foreground))
}

.\[\&\ > svg\ ~ \ * \]\:pl-7 > svg ~ * {
    padding-left:1.75rem
}

.\[\&\ > tr\]\:last\:border-b-0:last-child > tr {
    border-bottom-width:0px
}

.\[\&\[data-panel-group-direction\=vertical\]\ > div\]\:rotate-90[data-panel-group-direction=vertical] > div {
    --tw-rotate: 90deg;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.\[\&\[data-state\=open\]\ > svg\]\:rotate-180[data-state=open] > svg {
    --tw-rotate: 180deg;
    transform:translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.\[\&_\.recharts-cartesian-axis-tick_text\]\:fill-muted-foreground .recharts-cartesian-axis-tick text {
    fill: hsl(var(--muted-foreground))
}

.\[\&_\.recharts-cartesian-grid_line\[stroke\=\\#ccc\\]\]\:stroke-border\/50 .recharts-cartesian-grid line[stroke="#ccc"] {
    stroke:hsl(var(--border) / .5)
}

.\[\&_\.recharts-curve\.recharts-tooltip-cursor\]\:stroke-border .recharts-curve.recharts-tooltip-cursor {
    stroke: hsl(var(--border))
}

.\[\&_\.recharts-dot\[stroke\=\\#fff\\]\]\:stroke-transparent .recharts-dot[stroke="#fff"] {
    stroke:transparent
}

.\[\&_\.recharts-layer\]\:outline-none .recharts-layer {
    outline: 2px solid transparent;
    outline-offset: 2px
}

.\[\&_\.recharts-polar-grid_\[stroke\=\\#ccc\\]\]\:stroke-border .recharts-polar-grid [stroke="#ccc"] {
    stroke:hsl(var(--border))
}

.\[\&_\.recharts-radial-bar-background-sector\]\:fill-muted .recharts-radial-bar-background-sector, .\[\&_\.recharts-rectangle\.recharts-tooltip-cursor\]\:fill-muted .recharts-rectangle.recharts-tooltip-cursor {
    fill: hsl(var(--muted))
}

.\[\&_\.recharts-reference-line_\[stroke\=\\#ccc\\]\]\:stroke-border .recharts-reference-line [stroke="#ccc"] {
    stroke: hsl(var(--border))
}

.\[\&_\.recharts-sector\[stroke\=\\#fff\\]\]\:stroke-transparent .recharts-sector[stroke="#fff"] {
    stroke:transparent
}

.\[\&_\.recharts-sector\]\:outline-none .recharts-sector, .\[\&_\.recharts-surface\]\:outline-none .recharts-surface {
    outline: 2px solid transparent;
    outline-offset:2px
}

.\[\&_\[cmdk-group-heading\]\]\:px-2 [cmdk-group-heading] {
    padding-left: .5rem;
    padding-right:.5rem
}

.\[\&_\[cmdk-group-heading\]\]\:py-1\.5 [cmdk-group-heading] {
    padding-top: .375rem;
    padding-bottom:.375rem
}

.\[\&_\[cmdk-group-heading\]\]\:text-xs [cmdk-group-heading] {
    font-size: .75rem;
    line-height:1rem
}

.\[\&_\[cmdk-group-heading\]\]\:font-medium [cmdk-group-heading] {
    font-weight:500
}

.\[\&_\[cmdk-group-heading\]\]\:text-muted-foreground [cmdk-group-heading] {
    color:hsl(var(--muted-foreground))
}

.\[\&_\[cmdk-group\]\:not\(\[hidden\]\)_\ ~ \[cmdk-group\]\]\:pt-0 [cmdk-group]:not([hidden]) ~ [cmdk-group] {
    padding-top:0
}

.\[\&_\[cmdk-group\]\]\:px-2 [cmdk-group] {
    padding-left: .5rem;
    padding-right:.5rem
}

.\[\&_\[cmdk-input-wrapper\]_svg\]\:h-5 [cmdk-input-wrapper] svg {
    height:1.25rem
}

.\[\&_\[cmdk-input-wrapper\]_svg\]\:w-5 [cmdk-input-wrapper] svg {
    width:1.25rem
}

.\[\&_\[cmdk-input\]\]\:h-12 [cmdk-input] {
    height:3rem
}

.\[\&_\[cmdk-item\]\]\:px-2 [cmdk-item] {
    padding-left: .5rem;
    padding-right:.5rem
}

.\[\&_\[cmdk-item\]\]\:py-3 [cmdk-item] {
    padding-top: .75rem;
    padding-bottom:.75rem
}

.\[\&_\[cmdk-item\]_svg\]\:h-5 [cmdk-item] svg {
    height:1.25rem
}

.\[\&_\[cmdk-item\]_svg\]\:w-5 [cmdk-item] svg {
    width:1.25rem
}

.\[\&_p\]\:leading-relaxed p {
    line-height:1.625
}

.\[\&_svg\]\:pointer-events-none svg {
    pointer-events:none
}

.\[\&_svg\]\:size-4 svg {
    width: 1rem;
    height:1rem
}

.\[\&_svg\]\:shrink-0 svg {
    flex-shrink:0
}

.\[\&_tr\:last-child\]\:border-0 tr:last-child {
    border-width:0px
}

.\[\&_tr\]\:border-b tr {
    border-bottom-width:1px
}

[data-side=left][data-collapsible=offcanvas] .\[\[data-side\=left\]\[data-collapsible\=offcanvas\]_\&\]\:-right-2 {
    right:-.5rem
}

[data-side=left][data-state=collapsed] .\[\[data-side\=left\]\[data-state\=collapsed\]_\&\]\:cursor-e-resize {
    cursor:e-resize
}

[data-side=left] .\[\[data-side\=left\]_\&\]\:cursor-w-resize {
    cursor:w-resize
}

[data-side=right][data-collapsible=offcanvas] .\[\[data-side\=right\]\[data-collapsible\=offcanvas\]_\&\]\:-left-2 {
    left:-.5rem
}

[data-side=right][data-state=collapsed] .\[\[data-side\=right\]\[data-state\=collapsed\]_\&\]\:cursor-w-resize {
    cursor:w-resize
}

[data-side=right] .\[\[data-side\=right\]_\&\]\:cursor-e-resize {
    cursor: e-resize
}